Package org.jbpm.process.core.timer

## Class DateTimeUtils

- java.lang.Object
- - org.drools.core.time.TimeUtils
  - - org.jbpm.process.core.timer.DateTimeUtils

-     public class DateTimeUtils
      extends org.drools.core.time.TimeUtils

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateTimeUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `getMillis​(String durationStr)` |
    `static boolean` | `isNumeric​(String dateTimeStr)` |
    `static boolean` | `isPeriod​(String dateTimeStr)` |
    `static boolean` | `isRepeatable​(String dateTimeStr)` |
    `static long` | `parseDateAsDuration​(String dateTimeStr)` |
    `static long` | `parseDateTime​(String dateTimeStr)` |
    `static long` | `parseDuration​(String durationStr)` |
    `static String[]` | `parseISORepeatable​(String isoString)` |
    `static long[]` | `parseRepeatableDateTime​(String dateTimeStr)` |

    - ### Methods inherited from class org.drools.core.time.TimeUtils

      `calculateTemporalDistance, evalDateExpression, evalTimeExpression, parseTimeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeUtils

          public DateTimeUtils()

  - ### Method Detail

    - #### isRepeatable

          public static boolean isRepeatable​(String dateTimeStr)

    - #### isPeriod

          public static boolean isPeriod​(String dateTimeStr)

    - #### isNumeric

          public static boolean isNumeric​(String dateTimeStr)

    - #### parseDateTime

          public static long parseDateTime​(String dateTimeStr)

    - #### getMillis

          public static long getMillis​(String durationStr)

    - #### parseDuration

          public static long parseDuration​(String durationStr)

    - #### parseDateAsDuration

          public static long parseDateAsDuration​(String dateTimeStr)

    - #### parseISORepeatable

          public static String[] parseISORepeatable​(String isoString)

    - #### parseRepeatableDateTime

          public static long[] parseRepeatableDateTime​(String dateTimeStr)